Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2684 - gnomepager_applet drops core
Summary: gnomepager_applet drops core
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-09 15:14 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 19:18:34 UTC


Attachments (Terms of Use)

Description Chris Evans 1999-05-09 15:14:57 UTC
Hi

If this bug is more of a GNOME bug than a RH6.0 bug feel
free to forward to the GNOME crew

gnomepager_applet reliably drops core if I exit my GNOME
session with crtl-alt-backspace rather than the logout
option.

The crash seems to be failure to ignore SIGIOT, which is
sent when X dies from under the applet?

Here is a backtrace of the core dump
(gdb) bt
#0  0x40418111 in __kill ()
#1  0x40417d66 in raise (sig=6) at
../sysdeps/posix/raise.c:27
#2  0x40419447 in abort () at ../sysdeps/generic/abort.c:88
#3  0x4008a671 in g_logv ()
#4  0x4008a722 in g_log ()
#5  0x402e2ae5 in gdk_x_io_error ()
#6  0x4034ba5d in _XIOError ()
#7  0x4034959e in _XRead ()
#8  0x40349f82 in _XReply ()
#9  0x4033563d in XGetInputFocus ()
#10 0x804e9f0 in task_get_info ()#17 0x400882c6 in
g_main_dispatch ()
#11 0x804e646 in cb_task_change ()
#12 0x804e9a9 in cb_filter_intercept ()
#13 0x402ed8ae in gdk_event_apply_filters ()
#14 0x402ed9be in gdk_event_translate ()
#15 0x402ee8b7 in gdk_events_queue ()
#16 0x402eea94 in gdk_event_dispatch ()
#17 0x400882c6 in g_main_dispatch ()
#18 0x40088801 in g_main_iterate ()
#19 0x40088979 in g_main_run ()
#20 0x4024af3a in gtk_main ()
#21 0x4001afa9 in applet_widget_gtk_main ()
#22 0x804fb32 in main ()

Comment 1 Chris Evans 1999-05-09 15:20:59 UTC
Oh, "gnomecc" (the GNOME control centre) appears to do this too. Maybe
it is a fairly generic bug?

Comment 2 Owen Taylor 1999-05-26 14:15:59 UTC
This is a known problem. Essentially the fix is
"don't do that". Ctrl-Alt-Backspace is not a proper
way to exit GNOME. Other than aesthetics, though, these
cores are harmless.

Comment 3 Owen Taylor 2000-02-03 19:18:59 UTC
This should be fixed in 6.1. (We now don't drop core when the
connection to the X server is killed unexpectedly)


Note You need to log in before you can comment on or make changes to this bug.